class CreateHipayVirementHistories < ActiveRecord::Migration
  def change
    create_table :hipay_virement_histories do |t|
      t.string :transaction_id
      t.string :amount
      t.string :currency
      t.string :recipient_username
      t.string :public_label
      t.string :private_label
      t.string :code
      t.string :description
      t.boolean :success
      t.references :hipay_virement, index: true

      t.timestamps null: false
    end
    add_foreign_key :hipay_virement_histories, :hipay_virements
  end
end
